Package org.apache.ignite.internal.processors.cache

## Class TxTimeoutOnPartitionMapExchangeChangeTask

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.AbstractCachePartitionExchangeWorkerTask
  - - org.apache.ignite.internal.processors.cache.TxTimeoutOnPartitionMapExchangeChangeTask

All Implemented Interfaces:
  `CachePartitionExchangeWorkerTask`

    public class TxTimeoutOnPartitionMapExchangeChangeTask
    extends AbstractCachePartitionExchangeWorkerTask

The task for changing transaction timeout on partition map exchange.

### Constructor Summary

Constructors
`TxTimeoutOnPartitionMapExchangeChangeTask​(SecurityContext secCtx, TxTimeoutOnPartitionMapExchangeChangeMessage msg)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`TxTimeoutOnPartitionMapExchangeChangeMessage` `message()` Gets discovery message.
`boolean` `skipForExchangeMerge()`
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.processors.cache.AbstractCachePartitionExchangeWorkerTask

`securityContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TxTimeoutOnPartitionMapExchangeChangeTask

    public TxTimeoutOnPartitionMapExchangeChangeTask​(SecurityContext secCtx,
                                                     TxTimeoutOnPartitionMapExchangeChangeMessage msg)

Constructor.

Parameters:
  `secCtx` - Security context in which current task must be executed.
  `msg` - Discovery message.

### Method Detail

#### message

    public TxTimeoutOnPartitionMapExchangeChangeMessage message()

Gets discovery message.

Returns:
  Discovery message.

#### skipForExchangeMerge

    public boolean skipForExchangeMerge()

Returns:
  `False` if exchange merge should stop if this task is found in exchange worker queue.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`